//
//  CustomVoicePlayer.h
//  support-im-ios-debugdemo
//
//  Created by wangyanxu on 2025/6/16.
//

#import <Foundation/Foundation.h>
#import <RongIMLibCore/RongIMLibCore.h>

@protocol CustomVoicePlayerObserver;

@interface CustomVoicePlayer : NSObject

@property (nonatomic, readonly) BOOL isPlaying;
@property (nonatomic, assign) long messageId;
@property (nonatomic, assign) RCConversationType conversationType;
@property (nonatomic, copy) NSString *targetId;

+ (CustomVoicePlayer *)defaultPlayer;

- (BOOL)playVoice:(RCConversationType)conversationType
         targetId:(NSString *)targetId
        messageId:(long)messageId
        direction:(RCMessageDirection)messageDirection
        voiceData:(NSData *)data
         observer:(id<CustomVoicePlayerObserver>)observer;

- (void)stopPlayVoice;

- (void)resetPlayer;

@end

@protocol CustomVoicePlayerObserver <NSObject>

- (void)PlayerDidFinishPlaying:(BOOL)isFinish;

- (void)audioPlayerDecodeErrorDidOccur:(NSError *)error;

@end 